# Generated by Django 3.0.5 on 2020-04-09 08:05

from django.db import migrations, models
import django.db.models.deletion
import django_fsm


class Migration(migrations.Migration):

    dependencies = [
        ("CoronApp", "0006_auto_20200408_1155"),
    ]

    operations = [
        migrations.AlterField(
            model_name="demande",
            name="etat",
            field=django_fsm.FSMField(
                choices=[
                    ("cree", "Créée"),
                    ("provisionne", "Provisionnée"),
                    ("termine", "Terminée"),
                    ("cloture", "Cloturée"),
                    ("valide", "Validée"),
                    ("refuse", "Refusée"),
                ],
                default="cree",
                max_length=50,
            ),
        ),
        migrations.CreateModel(
            name="Retour",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now=True, verbose_name="Date de création"
                    ),
                ),
                (
                    "commentaire",
                    models.TextField(
                        blank=True, verbose_name="Commentaire de retour de mission"
                    ),
                ),
                (
                    "demande",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="CoronApp.Demande",
                    ),
                ),
            ],
        ),
    ]
